#include "pitches.h"

// notes in the melody:
int melody[] = {
  NOTE_E3, NOTE_AS3, NOTE_A3, NOTE_DS4, NOTE_D4, NOTE_F4, NOTE_B3, NOTE_C4, NOTE_FS3, NOTE_G3, NOTE_CS4,NOTE_GS3
};

// note durations: 4 = quarter note, 8 = eighth note, etc.:
int noteDurations[] = {
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4
};
const int buttonPin = 2;

int buttonState = 0; 
int thisNote = 0;

void setup() {
  pinMode(buttonPin, INPUT);
  
}

void loop() {
  buttonState = digitalRead(buttonPin);
  
  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonState == LOW) {
    
    // to calculate the note duration, take one second
    // divided by the note type.
    //e.g. quarter note = 1000 / 4, eighth note = 1000/8, etc.
    int noteDuration = 1000 / noteDurations[thisNote];
    tone(8, melody[thisNote], noteDuration);

    // to distinguish the notes, set a minimum time between them.
    // the note's duration + 30% seems to work well:
    int pauseBetweenNotes = noteDuration * 1.30;
    delay(pauseBetweenNotes);
    // stop the tone playing:
    noTone(8);
    
    thisNote++;
    if(thisNote>=12)thisNote=0; 
  }  
}
